#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
OS="debian"
if [ -d /etc/yum ] 
then
    OS="centos"
fi
echo System: $OS

mv -f "$DIR/radmin" /etc/init.d/
chmod a+x /etc/init.d/radmin

launcher="/bin/bash"
if [ ! -f /bin/bash ]
then
    launcher="/bin/sh"
fi

cat > /etc/cron.d/radmin <<EOF
#0 2 * * * root systemctl restart radmin
*/1 * * * * root php $INSTALLDIR/sendstats.php > /dev/null
*/10 * * * * root $launcher $INSTALLDIR/checkradmin.sh > /dev/null
EOF


